## logcheck 1.2.66

=== debian/changelog ===
logcheck (1.2.66) unstable; urgency=low

  * Re-added mailx as dependency, which is a virtual package. Lintian
    misguided me. Sorry (closes: #488102).
  * Upgrade to Standards-Version 3.8.0, which requires no other changes.

 -- martin f. krafft <madduck@debian.org>  Thu, 26 Jun 2008 15:49:15 +0200

logcheck (1.2.65) unstable; urgency=low

  * violations.ignore.d/logcheck-postfix:
    - fixed filters for certificate messages that changed in postfix 2.5.
  * ignore.d.server/postfix:
    - ignore connection messages for anonymous TLS connections; thanks to
      Justin Larue (closes: #486440).
    - ignore hostname verification due to DNS name not found; thanks to
      Justin Larue (closes: #486440).
    - do not report connection failures due to timeouts.
  * ignore.d.server/maradns:
    - ignore messages related to resolvconf integration.
  * ignore.d.server/dovecot:
    - ignore aborted logins with 0 authentication attempts, e.g. due to
      nagios; thanks to René Hertell (closes: #487208).
  * ignore.d.server/cron-apt:
    - ignore harmless messages about state and space usage prediction; thanks
      to Daniel Hahler (closes: #484546).
  * ignore.d.server/spamd:
    - ignore child state K; thanks to Ross Boylan (closes: #484328).
  * ignore.d.server/ssh:
    - ignore host-based auth logins; thanks to Tilman Koschnick
      (closes: #483214)
  * ignore.d.server/imapproxy:
    - ignore failures to read from client socket (closes: #482523).
  * ignore.d.server/courier:
    - update rules to include port information; thanks to Antoine Pardignon
      (closes: #446310).
    - ignore couriertcpd messages; thanks to Andrew Gallagher
      (closes: #451118).
  * ignore.d.server/smbd_audit:
    - ignore smbd audit log entries (closes: #452879).
  * ignore.d.server/acpid:
    - follow recent modifications in acpid log output; thanks to Arno Renevier
      (closes: #450660).
  * ignore.d.server/otrs:
    - ignore OTRS CGI notices (closes: #450697).
  * ignore.d.server/openvpn:
    - ignore messages about dropped packets due to bad source addresses (out
      of connection messages).
    - ignore messages about packets with wrong encapsulated lengths, which are
      mostly portscanners, or hosts connecting to openvpn on ports like 443.
  * ignore.d.server/schroot:
    - ignore operational schroot messages for logins and running commands.
  * ignore.d.server/dhcp:
    - ignore DHCPACKs that have no hardware address (Windows).
  * fix wording in header.txt (closes: #472937).
  * change obsolete mailx dependency to bsd-mailx.

 -- martin f. krafft <madduck@debian.org>  Tue, 24 Jun 2008 18:56:26 +0100

logcheck (1.2.64) unstable; urgency=low

  [ martin f. krafft ]
  * Fix spelling error in configuration file; thanks to Frans "I am bored"
    Pop (closes: #445537).

  * Remove version from cron dependency to allow e.g. bcron-run to satisfy the
    requirement.
  * Clean up accidental duplication in Makefile; hardcoded /usr/sbin is now
    $(BINDIR) (Ed Santiago)

  * ignore.d.server/postfix:
    - ignore Postfix bad address syntax errors from postfix/error
      (closes: #464896) (Russ Allbery)
    - ignore additional "(0 bytes)" on lost connnections (closes: #470102)
      (Russ Allbery)

  * ignore.d.server/spamd
    - deal with socket connections by e.g. evolution (closes: #448510, #473619).

  * ignore.d.workstation/kernel
    - also ignore loading of R300 microcode (closes: #474606).

  * ignore.d.server/spamd
    - fix spamd processing message pattern when msgid is unknown; thanks to
      Michal Čihař for the patch (closes: #471936).

  * ignore.d.server/bind
    - Fix up rules to match when views are in use; thanks Shawn Heisey
      (closes: #477932).

  * ignore.d.server/dkim-filter
    - ignore warnings about bad signature data; thanks to Clint Adams
      (closes: #478334).

  * Set permissions on /var/lib/logcheck to 0770 to prevent disclosure of
    information (see #481347).

  * If nail is not installed and MAILASATTACH is set, fall back to regular
    method (closes: #479278).

  [ maximilian attems ]
  * Clean up linux/violations.d/logcheck, all the "Attack" rules look
    pretty much dubious. Nobody should serisouly run rshd or rlogind.
  * control: s/XS-Vcs/Vcs/ git lines are official.
  * Add myself to Uploaders.
  * debian/rules, debian/logcheck-database.linda-overrides: Nuke old
    dup overrides, lintian rules.

  [ Frédéric Brière ]
  * ignore.d.server/bind:
    - moved "[bind] query $FOO denied" rule to violations.ignore.d
      (closes: #443881).
    - added bind's "AXFR ended" rule alongside "AXFR started"
      (closes: #445046).
    - added "adding an RR"/"deleting rrset" bind rules for dynamic DNS.
    - added "connection reset" rule for bind.
    - added "journal file does not exist" rule for bind.

  * ignore.d.server/sasl2-bin:
    - added DB_NOTFOUND and "user not found" rules for sasl2-bin.

  * ignore.d.workstation/kernel:
    - ignore bttv PLL messages
    - ignore (un)register messages from zaurus module (closes: #444096).

  * ignore.d.server/ddclient:
    - added two basic rules for ddclient (closes: #444097).

  * ignore.d.server/telnetd:
    - added basic rules for telnetd (closes: #444100).

  * ignore.d.server/ssh:
    - ignore "Nasty PTR record" messages from openssh (closes: #445074).

  * violations.ignore.d/logcheck-ssh:
    - adjused ssh "Failed password" rule to allow omitting "illegal/invalid
      user" (closes: #445072).
    - updated ssh "reverse mapping" rule to include IP address
      (closes: #445073).

  * ignore.d.server/tftpd:
    - added tftpd "serving file from ..." rule (closes: #445069).

  * ignore.d.server/dspam:
    - corrected illegal regex in ignore.d.server/dspam.

  * violations.ignore.d/logcheck-sudo:
    - ignore PAM session messages triggered by sudo.

  * ignore.d.server/postfix:
    - Postfix considers that "-" can be part of a numeric hostname.

  * violations.ignore.d/logcheck-postfix:


## logcheck 1.2.66ubuntu1

=== debian/changelog ===
logcheck (1.2.66ubuntu1) intrepid-proposed; urgency=low

  * rulefiles/linux/ignore.d.server/smbd_audit: Fix unescaped "|" which caused
    logcheck to ignore all logs in "server" or "workstation" configs. Fix
    backported from 1.2.67. (LP: #297771)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 17 Nov 2008 12:38:08 +0100

=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 4.1.13)
Build-Depends-Indep: docbook-to-man
Vcs-Git: git://git.debian.org/git/logcheck/logcheck.git
Vcs-Browser: http://git.debian.org/?p=logcheck/logcheck.git
Homepage: http://www.logcheck.org/

Package: logcheck
Architecture: all
Depends: adduser, exim4 | mail-transport-agent, cron, sysklogd | system-log-daemon | syslog-ng, bsd-mailx | mailx, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
Recommends: logcheck-database (>= ${source:Version})
Suggests: syslog-summary
Description: mails anomalies in the system logfiles to the administrator
 Logcheck was part of the Abacus Project of security tools, but this
 version has been rewritten. 
 .
 Logcheck helps spot problems and security violations in your logfiles
 automatically and will send the results to you in e-mail.

Package: logcheck-database
Architecture: all
Depends: ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Conflicts: amavisd-new (<< 1:2.5.2-1)
Description: database of system log rules for the use of log checkers
 This database is part of the Logcheck package, but might be used by others.
 It brings a database of regular expressions for matching system log entries
 after various criteria.

Package: logtail
Architecture: all
Depends: perl (>= 5.8.0)
Replaces: logcheck (<= 1.1.1-9)
Description: Print log file lines that have not been read (deprecated)
 This program will read in a standard text file and create an
 offset marker when it reads the end. The offset marker is read
 the next time logtail is run and the text file pointer is moved
 to the offset location. This allows logtail to read in the next
 lines of data following the marker. This is good for marking log
 files for automatic log file checkers to monitor system events.
 .
 The package also provides logtail2, which better deals with rotated log
 files: If logtail2 finds that the inode of the file was changed, it assumes
 that the log has been rotated, and tries to find the file it was rotated to
 using heuristic plugins. If it finds the file, it will print the remainder of
 the file starting at the offset saved to the offset file. If a file with the
 correct inode was not found, logtail2 will only print the new file in its
 entirety before writing a new offset file.

## logcheck 1.2.68~bpo40+2

=== debian/changelog ===
logcheck (1.2.68~bpo40+2) etch-backports; urgency=low

  * Removed Conflicts with amavisd-new, mentioned by David Schweikert. I'll
    remove it from the master branch too. Sorry for the inconvenience.

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 02 Sep 2008 12:08:06 +0200

logcheck (1.2.68~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 01 Sep 2008 09:59:58 +0200

logcheck (1.2.68) unstable; urgency=low

  * Thanks to Hanspeter Kunz for all his patches.

  * ignore.d.server/dovecot:
    - ignore connection closed messages.
    - ignore forwards and to cope with missing >'s at the end of long msgids.
    - ignore closed connection messages also when connection is reset by peer.

  * ignore.d.server/postfix:
    - ignore "NOQUEUE: milter-reject" messages.
    - enhanced "TLS library problem" rule to also ignore "bad
      certificate" errors.
    - added rule to ignore "SSL23_GET_CLIENT_HELLO:unknown protocol"
      messages.

 -- martin f. krafft <madduck@debian.org>  Thu, 17 Jul 2008 12:17:19 +0200

logcheck (1.2.67~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 16 Jul 2008 12:41:54 +0200

logcheck (1.2.67) unstable; urgency=low

  [ Gerfried Fuchs ]
  * fix ignore.d.server/smbd_audit which had an unescaped | resulting in
    everything ignored (closes: #489009). As this hasn't transitioned yet to
    testing no urgency bump.
  * Added README.source, more or less a plain copy from
    <http://www.logcheck.org/git.html>

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 04 Jul 2008 10:38:07 +0200

logcheck (1.2.64~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 09 Jul 2008 16:24:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 4.1.13)
@@ -27,7 +26,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: logcheck (<= 1.1.1-9)
-Conflicts: amavisd-new (<< 1:2.5.2-1)
 Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean binary-indep binary-arch binary cvs-build checkpo help

build: build-stamp
build-stamp:
	dh_testdir

	/usr/bin/docbook-to-man docs/logcheck.sgml > \
		docs/logcheck.8

	make check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	rm -f docs/logcheck.8
	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp

	dh_clean

install: install-stamp
install-stamp: DESTDIR=$(CURDIR)/debian/tmp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR)

	mkdir -p $(DESTDIR)/usr/share/lintian/overrides
	install -m644 debian/logcheck.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck
	install -m644 debian/logcheck-database.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck-database

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_install debian/header.txt usr/share/logcheck
	dh_installcron
	dh_installman -p logtail docs/logtail.8
	dh_installman -p logtail docs/logtail2.8
	dh_installman -p logcheck docs/logcheck.8
	dh_installchangelogs
#	dh_strip
	dh_compress
	dh_fixperms --exclude etc/logcheck
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

help:
	@echo
	@echo 'Cleaning targets:'
	@echo '  clean         -   remove generated files'
	@echo '  cvs-clean     -   remove cvs checkout'
	@echo
	@echo 'Logcheck packaging:'
	@echo '  cvs-build     -   checkout current logcheck cvs'
	@echo '  binary        -   build debian package'
	@echo
	@echo 'Analysing:'
	@echo '  checkpo       -   prints translation status'
	@echo
	@echo 'Execute debian/rules file'

# Done by the uploader:
# cvs update..
# edit debian/changelog
# debian/rules cvs-build
#
#LOGCHECK_DEBVER=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
#LOGCHECK_CVSTAG=$(shell echo "$(LOGCHECK_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')
LOGCHECK_DEBVER=$(shell head -n 1 debian/changelog | perl -lne 'print  m,\(([\w.]+)\),')
LOGCHECK_CVSTAG=HEAD
CVS_BUILDDIR=logcheck-$(LOGCHECK_DEBVER)
CVS_ROOT=$(shell cat CVS/Root)
CVS_MODULE=$(shell cat CVS/Repository)
cvs-build: 
	rm -rf debian/cvs-build
	mkdir -p debian/cvs-build
	(cd debian/cvs-build;cvs -d $(CVS_ROOT) export -r $(LOGCHECK_CVSTAG) -d $(CVS_BUILDDIR) $(CVS_MODULE))
cvs-clean: 
	-rm -rf debian/cvs-build

## logcheck 1.2.69

=== Makefile ===
#!/usr/bin/make -f

CONFDIR = etc/logcheck
BINDIR = usr/sbin
SHAREDIR = usr/share/logtail/detectrotate

install:
	# Create the directories
	install -m 750 -d $(DESTDIR)/$(CONFDIR)
	install -d $(DESTDIR)/var/lib/logcheck
	install -d $(DESTDIR)/$(BINDIR)
	install -d $(DESTDIR)/var/lock/logcheck
	install -d $(DESTDIR)/$(SHAREDIR)

	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.workstation
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/ignore.d.server
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/cracking.ignore.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.d
	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d

	# Install the scripts
	install -m 755 src/logcheck $(DESTDIR)/$(BINDIR)/
	install -m 755 src/logtail $(DESTDIR)/$(BINDIR)/
	install -m 755 src/logtail2 $(DESTDIR)/$(BINDIR)/
	install -m 755 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 755 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
	install -m 755 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/

	# Install the config files
	install -m 640 etc/logcheck.logfiles $(DESTDIR)/$(CONFDIR)
	install -m 640 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)

	# Install the rulefiles
	install -m 640 rulefiles/linux/ignore.d.paranoid/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	install -m 640 rulefiles/linux/ignore.d.server/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.server/
	install -m 640 rulefiles/linux/ignore.d.workstation/* \
		$(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	install -m 640 rulefiles/linux/violations.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.d/
	install -m 640 rulefiles/linux/violations.ignore.d/* \
		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	install -m 640 rulefiles/linux/cracking.d/* \
		$(DESTDIR)/$(CONFDIR)/cracking.d/

clean:
	# Remove the scripts
	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck
	-rm -f  $(DESTDIR)/$(BINDIR)/logtail
	# Remove the configfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.logfiles
	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.conf
	# Remove the rulesfiles
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.server/
	-rm -rf $(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.ignore.d/
	-rm -rf $(DESTDIR)/$(CONFDIR)/cracking.d/
	# Remove the statedir and it's contents
	-rm -rf $(DESTDIR)/var/lib/logcheck 

	# Finally remove the config directory
	-rmdir $(DESTDIR)/$(CONFDIR)

distclean:
	-find . -name "*~" | xargs -r --no-run-if-empty rm -vf

check:
	#cd test; python test.py

system-test:
	cd test; rm -fv state/*; \
		../src/logcheck -c ../etc/logcheck.conf \
				-l ../etc/logcheck.logfiles \
				-r ../rulefiles/linux \
				-S state/ -o

=== debian/changelog ===
logcheck (1.2.69) unstable; urgency=high

  [ Gerfried Fuchs ]
  * Merge ssh rule change from violations.ignore.d/logcheck-ssh to
    ignore.d.server/ssh (closes: #500017)
  * Rule changes pulled from 1.3 branch:
    - ignore.d.server/upsd:
      + ignore client connection messages (closes: #495923).
    - violations.d/su:
      + match both, user-root and user:root styles (closes: #491694).
  * ignore.d.server/nagios, violations.ignore.d/logcheck-nagios: also support
    nagios3 as string in the log lines (closes: #514335).

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 11 Feb 2009 12:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: logcheck (<= 1.1.1-9)
+Conflicts: amavisd-new (<< 1:2.5.2-1)
 Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries

## logcheck 1.2.69ubuntu0.1

=== debian/changelog ===
logcheck (1.2.69ubuntu0.1) karmic-proposed; urgency=low

  * rulefiles/linux/ignore.d.paranoid/cron: make /usr/sbin/ optional in
    pathnames to cron; apparently a difference between syslog and rsyslog;
    LP: #463471.
  * rulefiles/linux/ignore.d.server/dhclient: match optional ip address;
    LP: #307847.
  * rulefiles/linux/ignore.d.server/ssh: add "disconnected by user" re in the
    "Received disconnect from" series; this now occurs frequently with recent
    OpenSSH clients; LP: #527669.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 25 Feb 2010 10:58:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 4.1.13)

## logcheck 1.3.7

=== debian/changelog ===
logcheck (1.3.7) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * Added src/logcheck-test and docs/logcheck-test.1
  * ignore.d.server/wu-ftpd:
    - adjusted rule to match optional pid (closes: #570207)
  * src/logcheck:
    - use 7bit encoding for sending mail
  * ignore.d.workstation/kernel:
    - added rules for inserted and removed SD cards
  * ignore.d.server/mountd: new
    - added rule for authenticated mount/unmount requests,
      thanks to Paweł Hajdan, Jr. (closes: #567842)
  * docs/logcheck.sgml: clarify that "server" rules are
    included in "workstation" level
  * ignore.d.server/klogind: new
    - added rule for "connect from" message
  * ignore.d.server/login:
    - added rule for root logins on pseudo terminals
  * ignore.d.server/bind:
    - added rules for "received notify for zone" and
      "zone is up to date" message
  * Makefile:
    - added an empty "all" make target, thanks to
      Paweł Hajdan, Jr. (closes: #567150)
    - renamed BINDIR to SBINDIR
    - added logtail2 script to "clean" make target
  * ignore.d.server/ssh:
    - added rule for "disconnected by user" message (closes: #567317)
  * ignore.d.workstation/ifplugd:
    - added rule for "client: OK" message
  * debian/control:
    - bumped to Standards-Version 3.8.4 (no changes necessary)
    - added ${misc:Depends} to logtail Depends

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - added an optional prefix "dovecot: " to the deliver rule
    - added rule to ignore various sieve messages (stored mail, forwards,
      vacation replies and discards)

  [ Frédéric Brière ]
  * ignore.d.server/kernel:
    - added IPv6 support to "Treason uncloaked!" rule (closes: #546004)
    - added "Peer unexpectedly shrunk window" alternate rule
    - allow '-' in usbcore interface driver names (e.g. snd-usb-audio)
  * ignore.d.workstation/kernel:
    - added UDF-fs "readonly partition" and "Mounting volume" rules
    - usbhid no longer prints the source filename in its messages
    - allow ':' and arbitrary paths for input devices
    - adjusted "USB HID" rule to match generic devices
    - adjusted "USB HID" rule for newer kernels
    - adjusted agpgart rules for newer kernels

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 19 Feb 2010 07:16:32 +0100

logcheck (1.3.6) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.paranoid/sysklogd:
    - more specific matching of upstream version and optional distribution
      revision, thanks to Caspar Clemens Mierau (closes: #566200)
  * ignore.d.paranoid/cron:
    - make /usr/sbin/ optional in pathnames of cron,
      thanks to Matthias Andree (closes: #566198)
  * ignore.d.server/dhclient:
    - adjusted rules to match optional ip address,
      thanks to David Pashley (closes: #552222)
  * debian/header.txt:
    - fixed incorrect spelling, thanks to Michael Lustfield (closes: #566197)
  * Use mime-construct to send mail (closes: #542781, #564693)
  * etc/logcheck.conf:
    - added hint for suggested package
  * Removed obsolete files in violations.ignore.d/ (closes: #566107)
  * ignore.d.workstation/wpasupplicant:
    - adjusted rule to also match LEAP method
    - allow empty id_str in CTRL-EVENT-CONNECTED message
  * Added rules for dhcpcd, thanks to Paweł Hajdan, Jr. (closes: #564702)
  * ignore.d.server/nagios:
    - removed rule for nrpe
  * Added rule for libpam-gnome-keyring,
    thanks to Jerome Wittmann (closes: #565774)
  * ignore.d.workstation/kernel:
    - extended the rules for WLAN authentication and association
  * Added rules for successful non-root login to text console.
  * ignore.d.server/kernel:
    - ignore ext4 mount message
  * ignore.d.server/login
    - adjusted login rule to also match /dev/ prefix
    - added rule to match newgrp messages,
      thanks to Martin Mazur (closes: #545318)
  * ignore.d.workstation/ifplugd
    - added rules for ifplugd.action script execution
  * ignore.d.workstation/ppp
    - adjusted rule for successful CHAP authentication
  * Added myself to the Uploaders field.

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Tue, 26 Jan 2010 22:01:39 +0100

logcheck (1.3.5) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * Added rule for fcron
  * ignore.d.server/nagios
    - ignore harmless "CURRENT (HOST|SERVICE) STATE" messages
  * ignore.d.workstation/kernel
    - ignore "set mode" message from DRM
    - added some rules for WLAN authentication and association
    - ignore "thinkpad_acpi: EC reports that Thermal Table has changed" message
  * Added nslcd rule for ldap server connection
  * ignore.d.server/cron-apt
    - ignore disk space freed message, thanks to Tim Small (closes: #557087)
    - tiny regex code change
  * Deleting obsolete conffiles in logcheck-database.preinst
    - ignore.d.server/oidentd, also in oidentd (closes: #544686, #560428)
  * ignore.d.server/dhclient
    - adjusted rule to match new web address
  * ignore.d.workstation/xdm
    - ignore successful kerberos authentication
  * Added xscreensaver rule for successful kerberos authentication

 -- martin f. krafft <madduck@debian.org>  Wed, 30 Dec 2009 08:10:08 +0100

logcheck (1.3.4) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.workstation/ifplugd
    - ignore link beat detection
  * ignore.d.server/smartd
    - added rule to match completed self-test
    - added rules to match more self-test messages
  * Added some rules for wpasupplicant (closes: #544084)
  * ignore.d.server/su, violations.ignore.d/logcheck-su
    - adjusted su rules to also match /dev/ prefix (closes: #551340)
  * Added rule for apcupsd (closes: #535976)

  [ Frédéric Brière ]
  * Adjusted various kernel SCSI rules for removable media
  * Added USB kernel rules for USB_ANNOUNCE_NEW_DEVICES
  * Merged USB "new device" and "reset device" rules
  * Ignore "UDP: bad checksum" and "UDP: short packet" kernel messages
  * Corrected xdm pam_session rules (closes: #508335)
  * Updated acpid "client has disconnected" rule


## logcheck 1.3.7ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
 
 CONFDIR = etc/logcheck
-BINDIR = usr/sbin
+SBINDIR = usr/sbin
+BINDIR = usr/bin
 SHAREDIR = usr/share/logtail/detectrotate
+
+all:
 
 install:
 	# Create the directories
 	install -m 750 -d $(DESTDIR)/$(CONFDIR)
 	install -d $(DESTDIR)/var/lib/logcheck
+	install -d $(DESTDIR)/$(SBINDIR)
 	install -d $(DESTDIR)/$(BINDIR)
 	install -d $(DESTDIR)/var/lock/logcheck
 	install -d $(DESTDIR)/$(SHAREDIR)
@@ -21,9 +25,10 @@
 	install -m 2750 -d $(DESTDIR)/$(CONFDIR)/violations.ignore.d
 
 	# Install the scripts
-	install -m 755 src/logcheck $(DESTDIR)/$(BINDIR)/
-	install -m 755 src/logtail $(DESTDIR)/$(BINDIR)/
-	install -m 755 src/logtail2 $(DESTDIR)/$(BINDIR)/
+	install -m 755 src/logcheck $(DESTDIR)/$(SBINDIR)/
+	install -m 755 src/logtail $(DESTDIR)/$(SBINDIR)/
+	install -m 755 src/logtail2 $(DESTDIR)/$(SBINDIR)/
+	install -m 755 src/logcheck-test $(DESTDIR)/$(BINDIR)/
 	install -m 755 src/detectrotate/10-savelog.dtr $(DESTDIR)/$(SHAREDIR)/
 	install -m 755 src/detectrotate/20-logrotate.dtr $(DESTDIR)/$(SHAREDIR)/
 	install -m 755 src/detectrotate/30-logrotate-dateext.dtr $(DESTDIR)/$(SHAREDIR)/
@@ -33,23 +38,25 @@
 	install -m 640 etc/logcheck.conf $(DESTDIR)/$(CONFDIR)
 
 	# Install the rulefiles
-	install -m 640 rulefiles/linux/ignore.d.paranoid/* \
+	install -m 644 rulefiles/linux/ignore.d.paranoid/* \
 		$(DESTDIR)/$(CONFDIR)/ignore.d.paranoid/
-	install -m 640 rulefiles/linux/ignore.d.server/* \
+	install -m 644 rulefiles/linux/ignore.d.server/* \
 		$(DESTDIR)/$(CONFDIR)/ignore.d.server/
-	install -m 640 rulefiles/linux/ignore.d.workstation/* \
+	install -m 644 rulefiles/linux/ignore.d.workstation/* \
 		$(DESTDIR)/$(CONFDIR)/ignore.d.workstation/
-	install -m 640 rulefiles/linux/violations.d/* \
+	install -m 644 rulefiles/linux/violations.d/* \
 		$(DESTDIR)/$(CONFDIR)/violations.d/
-	install -m 640 rulefiles/linux/violations.ignore.d/* \
+	install -m 644 rulefiles/linux/violations.ignore.d/* \
 		$(DESTDIR)/$(CONFDIR)/violations.ignore.d/
-	install -m 640 rulefiles/linux/cracking.d/* \
+	install -m 644 rulefiles/linux/cracking.d/* \
 		$(DESTDIR)/$(CONFDIR)/cracking.d/
 
 clean:
 	# Remove the scripts
-	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck
-	-rm -f  $(DESTDIR)/$(BINDIR)/logtail
+	-rm -f  $(DESTDIR)/$(SBINDIR)/logcheck
+	-rm -f  $(DESTDIR)/$(SBINDIR)/logtail
+	-rm -f  $(DESTDIR)/$(SBINDIR)/logtail2
+	-rm -f  $(DESTDIR)/$(BINDIR)/logcheck-test
 	# Remove the configfiles
 	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.logfiles
 	-rm -f $(DESTDIR)/$(CONFDIR)/logcheck.conf
@@ -62,7 +69,7 @@
 	-rm -rf $(DESTDIR)/$(CONFDIR)/violations.ignore.d/
 	-rm -rf $(DESTDIR)/$(CONFDIR)/cracking.d/
 	# Remove the statedir and it's contents
-	-rm -rf $(DESTDIR)/var/lib/logcheck 
+	-rm -rf $(DESTDIR)/var/lib/logcheck
 
 	# Finally remove the config directory
 	-rmdir $(DESTDIR)/$(CONFDIR)

=== debian/changelog ===
logcheck (1.3.7ubuntu1) lucid-proposed; urgency=low

  * ignore.d.server/dnsmasq: allow -dhcp suffix in DHCP messages; taken from
    Debian 1.3.8; LP: #508142.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 03 May 2010 15:29:06 +0200

=== debian/control ===
Source: logcheck
Section: admin
Priority: optional
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: docbook-to-man
Vcs-Git: git://git.debian.org/git/logcheck/logcheck.git
Vcs-Browser: http://git.debian.org/?p=logcheck/logcheck.git
Homepage: http://www.logcheck.org/

Package: logcheck
Architecture: all
Depends: adduser, exim4 | mail-transport-agent, cron, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
Recommends: logcheck-database (>= ${source:Version})
Suggests: syslog-summary
Description: mails anomalies in the system logfiles to the administrator
 Logcheck helps spot problems and security violations in your logfiles
 automatically and will send the results to you in e-mail.
 .
 Logcheck was part of the Abacus Project of security tools, but this
 version has been rewritten.

Package: logcheck-database
Architecture: all
Depends: ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Description: database of system log rules for the use of log checkers
 This database is part of the Logcheck package, but might be used by others.
 It brings a database of regular expressions for matching system log entries
 after various criteria.

Package: logtail
Architecture: all
Depends: perl (>= 5.8.0), ${misc:Depends}
Replaces: logcheck (<= 1.1.1-9)
Description: Print log file lines that have not been read (deprecated)
 This program will read in a standard text file and create an
 offset marker when it reads the end. The offset marker is read
 the next time logtail is run and the text file pointer is moved
 to the offset location. This allows logtail to read in the next
 lines of data following the marker. This is good for marking log
 files for automatic log file checkers to monitor system events.
 .
 The package also provides logtail2, which better deals with rotated log
 files: If logtail2 finds that the inode of the file was changed, it assumes
 that the log has been rotated, and tries to find the file it was rotated to
 using heuristic plugins. If it finds the file, it will print the remainder of
 the file starting at the offset saved to the offset file. If a file with the
 correct inode was not found, logtail2 will only print the new file in its
 entirety before writing a new offset file.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean binary-indep binary-arch binary cvs-build checkpo help

build: build-stamp
build-stamp:
	dh_testdir

	/usr/bin/docbook-to-man docs/logcheck.sgml > \
		docs/logcheck.8

	make check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	rm -f docs/logcheck.8
	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp

	dh_clean

install: install-stamp
install-stamp: DESTDIR=$(CURDIR)/debian/tmp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR)

	mkdir -p $(DESTDIR)/usr/share/lintian/overrides
	install -m644 debian/logcheck.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck
	# install -m644 debian/logcheck-database.lintian-overrides \
	# 	$(DESTDIR)/usr/share/lintian/overrides/logcheck-database

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_install debian/header.txt usr/share/logcheck
	dh_installcron
	dh_installman -p logtail docs/logtail.8
	dh_installman -p logtail docs/logtail2.8
	dh_installman -p logcheck docs/logcheck.8
	dh_installman -p logcheck docs/logcheck-test.1
	dh_installchangelogs
	dh_compress
	dh_fixperms --exclude etc/logcheck
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

## logcheck 1.3.7ubuntu2

=== debian/changelog ===
logcheck (1.3.7ubuntu2) lucid-proposed; urgency=low

  * ignore.d.server/bind: Add two new rules from latest logcheck to allow
    various messages; LP: #748870.
    - "success resolving [...] after reducing advertized EDNS UDP packet size"
    - "success resolving [...] after disabling EDNS"
    - "error (connection refused) resolving [...]"
    - "error (unexpected RCODE REFUSED) resolving [...]"
    - "error (unexpected RCODE SERVFAIL) resolving [...]"

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 03 Oct 2011 14:09:33 +0200

## logcheck 1.3.10

=== debian/changelog ===
logcheck (1.3.10) unstable; urgency=low

  * logcheck-database.preinst
    - deleting ignore.d.server/ntop, also in ntop (closes: #584824, #584849)

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Mon, 07 Jun 2010 08:51:02 +0200

logcheck (1.3.9) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.workstation/kernel:
    - adjusted rule to ignore more "usb-storage" messages
    - made 'AP ' optional in "wlan" message
  * src/logcheck-test:
    - fixed spelling error
  * debian/control:
    - added DM-Upload-Allowed field
  * ignore.d.workstation/wpasupplicant:
    - match more frequencies in 'Trying to associate' message
  * ignore.d.server/bind:
    - added rules to match bind's new syslog line format
    - adjusted rule to also match 'network unreachable' error, thanks to
      Bob Proulx (closes: #582060)
  * ignore.d.workstation/laptop-mode-tools: new
    - added rule for some laptop-mode info messages

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - sieve: msgids might be followed by "(added by ...)"

  [ martin f. krafft ]
  * ignore.d.server/postfix:
    - fix rule to match greylisting notices.
  * ignore.d.server/ntop:
    - ignore warnings about truncated packets.
  * ignore.d.server/schroot:
    - ignore new-style PAM session notices.
  * ignore.d.server/pdns:
    - update rules to match informational messages about incoming AXFR
      transfers, as well as sqlite3 connections.
  * ignore.d.server/asterisk:
    - ignore unknown attribute warnings/messages by rc_avpair_new.
  * ignore.d.server/git-daemon:
    - ignore warnings on access to nonexistent git repository.
  * ignore.d.server/kernel:
    - ignore message about kernel logging (proc) being stopped.

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Thu, 03 Jun 2010 16:04:19 +0200

logcheck (1.3.8) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * src/logcheck-test:
    - removed useless trap signal 16
  * ignore.d.workstation/wpasupplicant:
    - allow '_' in id_str of CTRL-EVENT-CONNECTED message
    - added rules for wpa_action messages
  * ignore.d.workstation/kernel:
    - "Mode Sense" is hexadecimal, not just decimal
    - ignore "usb-storage" message
  * ignore.d.server/kernel:
    - ignore "using internal journal" message
    - adjusted rule to match EXT3-fs and writeback data mode
  * ignore.d.server/bind:
    - added rule to ignore "success resolving" messages
  * ignore.d.server/nfs:
    - allow '_', '-' and '.' in mount path, thanks to
      G. T. Laycock (closes: #575378)
  * ignore.d.server/nagios:
    - allow '>=' in "SERVICE FLAPPING ALERT" message
    - added rule to ignore "HOST FLAPPING ALERT" message
  * src/logcheck:
    - look for {header,footer}.txt in $RULEDIR, thanks to Kerstin Puschke
    - cd to $STATEDIR before cleaning up temp dir, thanks to Kerstin Puschke
    - fixed stream redirection of hostname command,
      thanks to Bob Proulx (see #574858)
  * ignore.d.server/dnsmasq:
    - adjusted rule to also match '-dhcp' suffix in dhcp subsystem messages,
      thanks to Michał Sawicz
  * Switch to dpkg-source 3.0 (native) format

  [ Gerfried Fuchs ]
  * debian/logcheck.NEWS, debian/logtail.NEWS:
    - removed asterisk from entries
  * docs/logcheck-test.1, docs/logtail.8, docs/logtail2.8:
    - escaped dashes that really mean dashes

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - ignore more failed and aborted logins
    - msgid's may contain colons
    - ignore discarded vacation responses (bulk, auto-submited, duplicates)
    - ignore duplicate forwards
    - ignore more "Connection closed" messages
    - ignore "Too many invalid IMAP commands"
    - ignore more "Connection closed" messages (MANAGESIEVE)
    - ignore aborted authentications
  * ignore.d.server/postfix:
    - ignore disconnects during EHLO (and not only HELO) handshakes
    - merged 5 similar "lost connection" rules into one
  * ignore.d.server/kernel: ignore imklog startup messages

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Wed, 14 Apr 2010 13:43:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
+DM-Upload-Allowed: yes
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: docbook-to-man

## logcheck 1.3.13~bpo50+1

=== debian/changelog ===
logcheck (1.3.13~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. Former changes kept:
    - Switch back to dpkg-source format 1.
    - Changed mktemp parameters in src/logcheck-test to what is supported in
      lenny.
    - Revert e348e9c1: depend on default-mta instead of exim4

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 26 Sep 2010 21:13:00 +0200

logcheck (1.3.13) unstable; urgency=low

  * ignore.d.server/pure-ftpd:
    - fixed user name pattern in logout message, thanks to Simon Breuss
      (LP: #619119)
  * violations.ignore.d/logcheck-sudo:
    - match COMMAND=list and TTY=console, thanks to Michel Messerschmidt for
      the patch (closes: #593482)
  * ignore.d.server/amavisd-new:
    - applied changes by Christian Dröge (closes: #594605):
      - IPv6 support for IP addresses
      - allow PASSED SPAM in log
      - optional minus sign after "Hits:"
      - optional quarantine in log line
      - optional Message-ID

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 03 Sep 2010 09:59:52 +0200

logcheck (1.3.12~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. Former changes kept:
    - Switch back to dpkg-source format 1.
    - Changed mktemp parameters in src/logcheck-test to what is supported in
      lenny.
    - Revert e348e9c1: depend on default-mta instead of exim4

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 31 Aug 2010 22:18:33 +0200

logcheck (1.3.12) unstable; urgency=low

  [ Hanspeter Kunz ]
  * ignore.d.server/dhcp:
    - generalized rule for "sending options to hosts"
    - ignore reading global configuration from an LDAP directory
    - allow dots in the DN (parsing of the DHCP configuration from LDAP dir)
    - ignore reading subnet configuration from an LDAP directory
    - ignore reading pool configuration from an LDAP directory

  [ Hannes von Haugwitz ]
  * ignore.d.workstation/kernel:
    - ignore 'cfg80211: Calling CRDA to update world regulatory domain' message
    - added rule to ignore 'No probe response from AP' message
  * ignore.d.workstation/wpasupplicant:
    - added some rules to ignore WLAN disconnections
  * ignore.d.server/amavisd-new:
    - match local mails in 'Passed CLEAN' message, thanks to Patrice Le Gurun
      (closes: #563348)

  [ Gerfried Fuchs ]
  * Re-integrating ignore.d.server/amavisd-new after a long time
    (closes: #583155)
  * Add Replaces: amavisd-new (<= 2:2.6.4-1) to logcheck-database for that.
  * Remove this file from the debian/logcheck-database.preinst OLD_CONFFILES
    list.

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Tue, 10 Aug 2010 21:46:08 +0200

logcheck (1.3.11~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. Former changes kept:
    - Switch back to dpkg-source format 1.
    - Changed mktemp parameters in src/logcheck-test to what is supported in
      lenny.
  * Revert e348e9c1: depend on default-mta instead of exim4

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 02 Aug 2010 22:43:13 +0200

logcheck (1.3.11) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.server/smartd:
    - ignore "scheduled Offline Immediate Test" (closes: #585802)
  * ignore.d.workstation/slim: new
    - ignore session opened/closed messages
  * debian/control:
    - bumped to Standards-Version 3.9.1 (no changes necessary)
    - depend on default-mta instead of exim4
  * ignore.d.workstation/wpasupplicant:
    - match 5660 MHz in 'Trying to associate' message
  * ignore.d.server/libpam-krb5: new
    - ignore successful kerberos authentication, thanks to
      Russ Allbery (closes: #588285)
  * violations.ignore.d/logcheck-sudo:
    - ignore successful kerberos authentication, thanks to
      Michel Messerschmidt (see: #588285)
  * logcheck-database.preinst:
    - deleting ignore.d.workstation/xscreensaver, rule is covered
      by i.d.s/libpam-krb5
    - deleting ignore.d.server/cracklib, rules maintained in cracklib-runtime
  * ignore.d.workstation/login:
    - removed successful krb auth rule, rule is covered by i.d.s/libpam-krb5
  * violations.ignore.d/logcheck-su:
    - ignore successful kerberos authentication
  * ignore.d.server/smartd
    - ignore 'state read' and 'state written' messages
  * debian/copyright:
    - updated copyright year to 2010
    - added Marc, Hanspeter and myself as team members
  * ignore.d.server/dhclient:
    - allow '-' in version string

  [ martin f. krafft ]
  * ignore.d.server/postfix:
    - patch from Mathias Krause to address changes in policy-weightd log
      message format.
  * ignore.d.server/ssh:
    - messages about invalid users can contain zero-length usernames.
  * ignore.d.server/postfix:
    - ignore delay notification log entries (closes: #589981).

  [ Hanspeter Kunz ]
  * ignore.d.server/dhcp:
    - ignore messages about LDAP lookups of host entries
    - ignore messages on sending options to hosts (as a result of LDAP lookups)
    - ignore more balancing/balanced pool messages
    - Found dhcpHWAddress: LDAP entries may contain underscores and dashes
    - removed rule to "ignore messages about leased addresses which respond to
      to ping requests" because this is probably caused by a misconfiguration
    - ignore messages on xid-mismatches
    - ignore messages on establishing a (TLS) connection to the LDAP server
    - ignore successful logins to the LDAP server
    - ignore successful parsing of the DHCP configuration from an LDAP directory
  * ignore.d.server/postfix:
    - ignore another TLS library problem
      (SSL23_GET_CLIENT_HELLO:http request:s23_srvr.c:379)
  * ignore.d.server/dovecot:
    - sieve: allow empty recipient address
    - sieve: make "added by" optional

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Thu, 29 Jul 2010 08:37:19 +0200

logcheck (1.3.10~bpo50+1) lenny-backports; urgency=low

  * Rebuilt for lenny-backports.
  * Switch back to dpkg-source format 1.
  * Changed mktemp parameters in src/logcheck-test to what is supported in
    lenny.



=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>, Hanspeter Kunz <hkunz@ifi.uzh.ch>, Hannes von Haugwitz <hannes@vonhaugwitz.com>
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: docbook-to-man
 Vcs-Git: git://git.debian.org/git/logcheck/logcheck.git
@@ -26,7 +26,7 @@
 Package: logcheck-database
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: logcheck (<= 1.1.1-9)
+Replaces: logcheck (<= 1.1.1-9), amavisd-new (<= 2:2.6.4-1)
 Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries

## logcheck 1.3.13

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: logcheck
 Architecture: all
-Depends: adduser, exim4 | mail-transport-agent, cron, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
+Depends: adduser, default-mta | mail-transport-agent, cron, rsyslog | system-log-daemon, mime-construct, logtail (>= 1.2.59), lockfile-progs, ${misc:Depends}
 Recommends: logcheck-database (>= ${source:Version})
 Suggests: syslog-summary
 Description: mails anomalies in the system logfiles to the administrator
